
import 'package:equatable/equatable.dart';

abstract class  ForgetPasswordEvent extends Equatable {
const ForgetPasswordEvent();
  @override
  List<Object> get props => [];
}

class GetCodeEvent extends ForgetPasswordEvent{}

class SubmitEvent extends ForgetPasswordEvent{}

class StartTimerEvent extends ForgetPasswordEvent{}

class StopTimerEvent extends ForgetPasswordEvent{}

class UpdateTimerEvent extends ForgetPasswordEvent {
  final int remainingTime;
  final bool isButtonEnabled;
  const UpdateTimerEvent({required this.remainingTime, required this.isButtonEnabled});
}

class ChangePasswordEvent extends ForgetPasswordEvent{}

class SendOtpEvent extends ForgetPasswordEvent{}